import settings from './settings'
export default {
  ssr: false,
  server: {
    port: settings.port, // default: 3000
    // host: '192.168.3.14' // default: localhost
    // host:"localhost",
    host:settings.host,
  },
  // disableHostCheck: true,
  modules: [
    '@nuxtjs/axios',
    '@nuxtjs/proxy'
  ],
  axios: {
    baseURL: settings.baseUrl + "/" + settings.prefix,
    prefix:"/prefix",
    proxy: settings.devEnv,
  },
  proxy: {
    '/prefix': {
      target: settings.baseUrl,
      pathRewrite: {
        '^/prefix' : "/" + settings.prefix
      }
    }
  },
  head: {
    title: '智慧易加',
    meta: [{
        charset: 'utf-8'
      },
      {
        name: 'viewport',
        content: 'width=device-width,initial-scale=1,minimum-scale=1,maximum-scale=1,user-scalable=no'
      }
    ],
    link: [{
      rel: 'icon',
      type: 'image/x-icon',
      href: '/favicon.ico'
    }]
  },
  css: [
    {
          src: '*.scss',
          lang: 'scss'
     }
] ,
  plugins: [
    '~/plugins/vant',
    '~/plugins/vue-map'
    ],
  build: {
    babel: {
      plugins: [
        [
          'import',
          {
            libraryName: 'vant',
            // 目前在 nuxt 中无法按需引入样式，因此采用手动引入的方式
            style: false
          },
          'vant'
        ]
      ]
    }
  },
  css:[
    "~assets/css/common.css"
  ]
};
